OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.VertexBlend

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexBlend :: MonadIO m => m Bool
- gl_ARB_vertex_blend :: Bool
- gl_ACTIVE_VERTEX_UNITS_ARB :: GLenum
- gl_CURRENT_WEIGHT_ARB :: GLenum
- gl_MAX_VERTEX_UNITS_ARB :: GLenum
- gl_MODELVIEW0_ARB :: GLenum
- gl_MODELVIEW10_ARB :: GLenum
- gl_MODELVIEW11_ARB :: GLenum
- gl_MODELVIEW12_ARB :: GLenum
- gl_MODELVIEW13_ARB :: GLenum
- gl_MODELVIEW14_ARB :: GLenum
- gl_MODELVIEW15_ARB :: GLenum
- gl_MODELVIEW16_ARB :: GLenum
- gl_MODELVIEW17_ARB :: GLenum
- gl_MODELVIEW18_ARB :: GLenum
- gl_MODELVIEW19_ARB :: GLenum
- gl_MODELVIEW1_ARB :: GLenum
- gl_MODELVIEW20_ARB :: GLenum
- gl_MODELVIEW21_ARB :: GLenum
- gl_MODELVIEW22_ARB :: GLenum
- gl_MODELVIEW23_ARB :: GLenum
- gl_MODELVIEW24_ARB :: GLenum
- gl_MODELVIEW25_ARB :: GLenum
- gl_MODELVIEW26_ARB :: GLenum
- gl_MODELVIEW27_ARB :: GLenum
- gl_MODELVIEW28_ARB :: GLenum
- gl_MODELVIEW29_ARB :: GLenum
- gl_MODELVIEW2_ARB :: GLenum
- gl_MODELVIEW30_ARB :: GLenum
- gl_MODELVIEW31_ARB :: GLenum
- gl_MODELVIEW3_ARB :: GLenum
- gl_MODELVIEW4_ARB :: GLenum
- gl_MODELVIEW5_ARB :: GLenum
- gl_MODELVIEW6_ARB :: GLenum
- gl_MODELVIEW7_ARB :: GLenum
- gl_MODELVIEW8_ARB :: GLenum
- gl_MODELVIEW9_ARB :: GLenum
- gl_VERTEX_BLEND_ARB :: GLenum
- gl_WEIGHT_ARRAY_ARB :: GLenum
- gl_WEIGHT_ARRAY_POINTER_ARB :: GLenum
- gl_WEIGHT_ARRAY_SIZE_ARB :: GLenum
- gl_WEIGHT_ARRAY_STRIDE_ARB :: GLenum
- gl_WEIGHT_ARRAY_TYPE_ARB :: GLenum
- gl_WEIGHT_SUM_UNITY_ARB :: GLenum
- glVertexBlendARB :: MonadIO m => GLint -> m ()
- glWeightPointerARB :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glWeightbvARB :: MonadIO m => GLint -> Ptr GLbyte -> m ()
- glWeightdvARB :: MonadIO m => GLint -> Ptr GLdouble -> m ()
- glWeightfvARB :: MonadIO m => GLint -> Ptr GLfloat -> m ()
- glWeightivARB :: MonadIO m => GLint -> Ptr GLint -> m ()
- glWeightsvARB :: MonadIO m => GLint -> Ptr GLshort -> m ()
- glWeightubvARB :: MonadIO m => GLint -> Ptr GLubyte -> m ()
- glWeightuivARB :: MonadIO m => GLint -> Ptr GLuint -> m ()
- glWeightusvARB :: MonadIO m => GLint -> Ptr GLushort -> m ()

# Extension Support

glGetARBVertexBlend :: MonadIO m => m Bool

Is the ARB_vertex_blend extension supported?

gl_ARB_vertex_blend :: Bool

Is the ARB_vertex_blend extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexBlend` in those cases instead.

# Enums

gl_ACTIVE_VERTEX_UNITS_ARB :: GLenum

gl_CURRENT_WEIGHT_ARB :: GLenum

gl_MAX_VERTEX_UNITS_ARB :: GLenum

gl_MODELVIEW0_ARB :: GLenum

gl_MODELVIEW10_ARB :: GLenum

gl_MODELVIEW11_ARB :: GLenum

gl_MODELVIEW12_ARB :: GLenum

gl_MODELVIEW13_ARB :: GLenum

gl_MODELVIEW14_ARB :: GLenum

gl_MODELVIEW15_ARB :: GLenum

gl_MODELVIEW16_ARB :: GLenum

gl_MODELVIEW17_ARB :: GLenum

gl_MODELVIEW18_ARB :: GLenum

gl_MODELVIEW19_ARB :: GLenum

gl_MODELVIEW1_ARB :: GLenum

gl_MODELVIEW20_ARB :: GLenum

gl_MODELVIEW21_ARB :: GLenum

gl_MODELVIEW22_ARB :: GLenum

gl_MODELVIEW23_ARB :: GLenum

gl_MODELVIEW24_ARB :: GLenum

gl_MODELVIEW25_ARB :: GLenum

gl_MODELVIEW26_ARB :: GLenum

gl_MODELVIEW27_ARB :: GLenum

gl_MODELVIEW28_ARB :: GLenum

gl_MODELVIEW29_ARB :: GLenum

gl_MODELVIEW2_ARB :: GLenum

gl_MODELVIEW30_ARB :: GLenum

gl_MODELVIEW31_ARB :: GLenum

gl_MODELVIEW3_ARB :: GLenum

gl_MODELVIEW4_ARB :: GLenum

gl_MODELVIEW5_ARB :: GLenum

gl_MODELVIEW6_ARB :: GLenum

gl_MODELVIEW7_ARB :: GLenum

gl_MODELVIEW8_ARB :: GLenum

gl_MODELVIEW9_ARB :: GLenum

gl_VERTEX_BLEND_ARB :: GLenum

gl_WEIGHT_ARRAY_ARB :: GLenum

gl_WEIGHT_ARRAY_POINTER_ARB :: GLenum

gl_WEIGHT_ARRAY_SIZE_ARB :: GLenum

gl_WEIGHT_ARRAY_STRIDE_ARB :: GLenum

gl_WEIGHT_ARRAY_TYPE_ARB :: GLenum

gl_WEIGHT_SUM_UNITY_ARB :: GLenum

# Functions

glVertexBlendARB

Arguments

:: MonadIO m |
=> GLint | `count`.
-> m () |

glWeightPointerARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type `WeightPointerTypeARB`.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |

glWeightbvARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLbyte | `weights` pointing to `size` elements of type `GLbyte`.
-> m () |

glWeightdvARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLdouble | `weights` pointing to `size` elements of type `GLdouble`.
-> m () |

glWeightfvARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLfloat | `weights` pointing to `size` elements of type `GLfloat`.
-> m () |

glWeightivARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLint | `weights` pointing to `size` elements of type `GLint`.
-> m () |

glWeightsvARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLshort | `weights` pointing to `size` elements of type `GLshort`.
-> m () |

glWeightubvARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLubyte | `weights` pointing to `size` elements of type `GLubyte`.
-> m () |

glWeightuivARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLuint | `weights` pointing to `size` elements of type `GLuint`.
-> m () |

glWeightusvARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLushort | `weights` pointing to `size` elements of type `GLushort`.
-> m () |